OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.HP.ImageTransform

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetHPImageTransform :: MonadIO m => m Bool
- gl_HP_image_transform :: Bool
- gl_AVERAGE_HP :: GLenum
- gl_CUBIC_HP :: GLenum
- gl_IMAGE_CUBIC_WEIGHT_HP :: GLenum
- gl_IMAGE_MAG_FILTER_HP :: GLenum
- gl_IMAGE_MIN_FILTER_HP :: GLenum
- gl_IMAGE_ROTATE_ANGLE_HP :: GLenum
- gl_IMAGE_ROTATE_ORIGIN_X_HP :: GLenum
- gl_IMAGE_ROTATE_ORIGIN_Y_HP :: GLenum
- gl_IMAGE_SCALE_X_HP :: GLenum
- gl_IMAGE_SCALE_Y_HP :: GLenum
- gl_IMAGE_TRANSFORM_2D_HP :: GLenum
- gl_IMAGE_TRANSLATE_X_HP :: GLenum
- gl_IMAGE_TRANSLATE_Y_HP :: GLenum
- gl_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP :: GLenum
- gl_PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP :: GLenum
- glGetImageTransformParameterfvHP :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glGetImageTransformParameterivHP :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()
- glImageTransformParameterfHP :: MonadIO m => GLenum -> GLenum -> GLfloat -> m ()
- glImageTransformParameterfvHP :: MonadIO m => GLenum -> GLenum -> Ptr GLfloat -> m ()
- glImageTransformParameteriHP :: MonadIO m => GLenum -> GLenum -> GLint -> m ()
- glImageTransformParameterivHP :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetHPImageTransform :: MonadIO m => m Bool

Is the HP_image_transform extension supported?

gl_HP_image_transform :: Bool

Is the HP_image_transform extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetHPImageTransform` in those cases instead.

# Enums

gl_AVERAGE_HP :: GLenum

gl_CUBIC_HP :: GLenum

gl_IMAGE_CUBIC_WEIGHT_HP :: GLenum

gl_IMAGE_MAG_FILTER_HP :: GLenum

gl_IMAGE_MIN_FILTER_HP :: GLenum

gl_IMAGE_ROTATE_ANGLE_HP :: GLenum

gl_IMAGE_ROTATE_ORIGIN_X_HP :: GLenum

gl_IMAGE_ROTATE_ORIGIN_Y_HP :: GLenum

gl_IMAGE_SCALE_X_HP :: GLenum

gl_IMAGE_SCALE_Y_HP :: GLenum

gl_IMAGE_TRANSFORM_2D_HP :: GLenum

gl_IMAGE_TRANSLATE_X_HP :: GLenum

gl_IMAGE_TRANSLATE_Y_HP :: GLenum

gl_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP :: GLenum

gl_PROXY_POST_IMAGE_TRANSFORM_COLOR_TABLE_HP :: GLenum

# Functions

glGetImageTransformParameterfvHP

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ImageTransformTargetHP`.
-> GLenum | `pname` of type `ImageTransformPNameHP`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glGetImageTransformParameterivHP

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ImageTransformTargetHP`.
-> GLenum | `pname` of type `ImageTransformPNameHP`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

glImageTransformParameterfHP

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ImageTransformTargetHP`.
-> GLenum | `pname` of type `ImageTransformPNameHP`.
-> GLfloat | `param`.
-> m () |

glImageTransformParameterfvHP

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ImageTransformTargetHP`.
-> GLenum | `pname` of type `ImageTransformPNameHP`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

glImageTransformParameteriHP

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ImageTransformTargetHP`.
-> GLenum | `pname` of type `ImageTransformPNameHP`.
-> GLint | `param`.
-> m () |

glImageTransformParameterivHP

Arguments

:: MonadIO m |
=> GLenum | `target` of type `ImageTransformTargetHP`.
-> GLenum | `pname` of type `ImageTransformPNameHP`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |